/*
 * interrupt.h
 *
 *  Created on: Aug 29, 2019
 *      Author: abody
 */

#ifndef INTERRUPT_HANDLERS_H_
#define INTERRUPT_HANDLERS_H_

#include "usart.h"
#include "dma_helper.h"

void HandleConsoleUsartTxDmaIrq(DMAINFO *info, USART_TypeDef *usart);
void HandleConsoleUsartIrq(USART_TypeDef *usart);

void PrintStats(char *buffer, uint8_t id,  struct usart_stats *stats, USART_TypeDef *usart, DMAINFO *dmaInfo);

#endif /* INTERRUPT_HANDLERS_H_ */
